> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ping Hook

> Ping webhook url to verify connectivity.



## OpenAPI

````yaml /spec/oas.yaml get /hooks/{hook_id}/ping
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /hooks/{hook_id}/ping:
    get:
      tags:
        - Webhooks
      summary: Ping Hook
      description: Ping webhook url to verify connectivity.
      operationId: webhooks_ping_hook
      parameters:
        - name: hook_id
          in: path
          required: true
          schema:
            type: integer
            format: int64
            description: Webhook identifier.
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: integer
            format: int64
            description: >-
              Tenant identifier. Contact [CRO
              Software](https://crosoftwaresolutions.com/) for more info if you
              don't already have this id. See [list tenant
              ids](/docs/requests/tenants_list_tenants) for info on listing the
              tenants you have access to.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookPingResultModel'
      security:
        - oauth2:
            - webhook
            - api
components:
  schemas:
    WebhookPingResultModel:
      type: object
      description: Webhook ping result.
      properties:
        delivery_id:
          type: string
          format: uuid
          description: Hook execution identifier.
        http_status:
          type: integer
          description: HTTP status return code.
        message:
          type: string
          description: Description of ping result.
      required:
        - delivery_id
        - http_status
        - message
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````